Bug 635654 - Review Request: perl-Text-Hunspell - Perl interface to the Hunspell library
Summary: Review Request: perl-Text-Hunspell - Perl interface to the Hunspell library
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 636763
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-20 13:04 UTC by Paul Howarth
Modified: 2010-11-13 08:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-13 08:46:26 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2010-09-20 13:04:45 UTC
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Text-Hunspell/branches/fedora/perl-Text-Hunspell.spec
SRPM URL:
http://www.city-fan.org/~paul/extras/perl-Text-Hunspell/perl-Text-Hunspell-2.01-2.fc15.src.rpm

Description:
This module provides a Perl interface to the Hunspell library. This module
is to meet the need of looking up many words, one at a time, in a single
session, such as spell-checking a document in memory.

This package is needed to migrate Text::SpellChecker from aspell to hunspell.

Comment 1 Parag AN(पराग) 2010-09-21 09:48:49 UTC
Review:
+ package builds in koji (f15).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2478975
+ rpmlint is silent for SRPM and for RPM.

+ source files match upstream url (sha1sum)
ce21d98e2ba4d2de0bf54cb56fcaee0982830c0d  Text-Hunspell-2.01.tar.gz
ce21d98e2ba4d2de0bf54cb56fcaee0982830c0d  Text-Hunspell-2.01.tar.gz.srpm

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present which is not needed now.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no -devel subpackage
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=5, Tests=16,  0 wallclock secs ( 0.03 usr  0.01 sys +  0.22 cusr  0.05 csys =  0.31 CPU)
+ Not a GUI application


Suggestions
1) If there are no plans to add this package < F13 releases then please
  a) remove buildroot
  b) remove cleaning of buildroot in %install
  c) remove %clean section

2) Is versioned BR: needed in this package?
hunspell-devel >= 1.2.8
   If not then please remove it.


APPROVED.

Comment 2 Paul Howarth 2010-09-21 10:09:14 UTC
(In reply to comment #1)
> Suggestions
> 1) If there are no plans to add this package < F13 releases then please
>   a) remove buildroot
>   b) remove cleaning of buildroot in %install
>   c) remove %clean section

I plan to build it for F-12. These items can be removed once it goes EOL.

> 2) Is versioned BR: needed in this package?
> hunspell-devel >= 1.2.8
>    If not then please remove it.

The package won't work with earlier versions of hunspell. Adding the versioned dependency makes it clear that the package won't work with (say) EPEL 4 and 5.

Thanks for the review Parag.

Comment 3 Paul Howarth 2010-09-21 11:01:29 UTC
New Package SCM Request
=======================
Package Name: perl-Text-Hunspell
Short Description: Perl interface to the Hunspell library
Owners: pghmcfc
Branches: f12 f13 f14 el6

Comment 4 Paul Howarth 2010-09-21 12:22:59 UTC
Forgot the InitialCC:

New Package SCM Request
=======================
Package Name: perl-Text-Hunspell
Short Description: Perl interface to the Hunspell library
Owners: pghmcfc
InitialCC: perl-sig
Branches: f12 f13 f14 el6

Comment 5 Kevin Fenzi 2010-09-22 16:59:10 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2010-09-22 20:46:27 UTC
perl-Text-Hunspell-2.01-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Text-Hunspell-2.01-2.fc13

Comment 7 Fedora Update System 2010-09-22 20:46:34 UTC
perl-Text-Hunspell-2.01-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Text-Hunspell-2.01-2.fc14

Comment 8 Fedora Update System 2010-09-22 20:46:40 UTC
perl-Text-Hunspell-2.01-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/perl-Text-Hunspell-2.01-2.fc12

Comment 9 Paul Howarth 2010-09-22 21:05:55 UTC
All branches built except for EL-6 - the EL-6 buildroot doesn't contain any EL-6 Workstation-only packages and one of those (hunspell-en) is needed for this package.

Comment 10 Fedora Update System 2010-09-30 10:24:42 UTC
perl-Text-Hunspell-2.01-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-09-30 10:27:49 UTC
perl-Text-Hunspell-2.01-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-10-01 12:22:09 UTC
perl-Text-Hunspell-2.01-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Paul Howarth 2010-10-01 17:51:18 UTC
Everything's built and pushed to stable now except the EL-6 version (see Bug #636763), which probably won't be resolved until RHEL-6 GA.

Comment 14 Parag AN(पराग) 2010-10-18 16:01:53 UTC
Can this be closed then?

Comment 15 Paul Howarth 2010-10-18 16:51:18 UTC
I was going to wait until RHEL 6 GA when I could build the EPEL-6 version, but if you'd like it off your list of active tickets, feel free to close it.

Comment 16 Paul Howarth 2010-11-13 08:46:26 UTC
Now built for EL-6; closing.


Note You need to log in before you can comment on or make changes to this bug.